Subject: Re: lxc: cannot start Fedora30 and Debian Stretch in LXC containers

From: Ryutaroh Matsumoto <[email-masked]>
Date: Wed, 06 May 2020 07:24:00 +0900 (JST)

Hi Mark,

From https://wiki.debian.org/LXC#Preparing_host_system_WITHOUT_Systemd_for_running_LXC

According to Gentoo wiki, if you want to run containers with systemd, the host also needs a name=systemd cgroup hierarchy mounted: mkdir -p /sys/fs/cgroup/systemd; mount -t cgroup -o none,name=systemd systemd /sys/fs/cgroup/systemd.

With that, lxc-checkconfig no longer complains and containers with systemd are able to start.

This was reported to package cgroupfs-mount in bug #939435 (patch included).

Best regards, Ryutaroh

From: Ryutaroh Matsumoto <[email-masked]>
Subject: Re: lxc: cannot start Fedora30 and Debian Stretch in LXC containers
Date: Mon, 27 Apr 2020 11:48:03 +0900 (JST)

> Hi Mark,
> 
>> A few other ideas to try: obviously the lxc container is looking for the host
>> /sys/fs/cgroup/systemd which doesn't exist. Does creating it manually help?
>> Does installing cgmanager help (I am not sure if that will create and manage
>> /sys/fs/cgroup/systemd)?
> 
> None of them worked.
> My Devuan is running on qemu.
> I can upload the image so that you can try on your computer.
> 
> Best regards,
> Ryutaroh
> 
> From: Mark Hindley <[email-masked]>
> Subject: Re: lxc: cannot start Fedora30 and Debian Stretch in LXC containers
> Date: Sat, 25 Apr 2020 10:48:38 +0100
> 
>> On Sat, Apr 25, 2020 at 04:47:13AM +0900, Ryutaroh Matsumoto wrote:
>>> Hi Mark,
>>> 
>>> Thanks for your help.
>>> I was able to use Gentoo in the LXC container on Devuan.
>>> So this is not a general problem of LXC.
>>> It is specific to Devuan hosts and systemd containers.
>> 
>> Helpful to know.
>> 
>>> Booting with apparmor=0 did not help.
>>> I selected openrc. Replacing with sysv-rc did not help.
>> 
>> Thanks for trying.
>> 
>>> I wonder what is the cgroup mounts without cgroupfs-mount, so
>>> I tried apt-get purge cgroupfs-mount, and got the following.
>>> I have no idea how to remove cgroupfs-mount from Devuan 3:
>> 
>> See my answer to #428.
>> 
>>> Stating that Devuan LXC does not support distros with systemd
>>> and closing this but might be a good idea...
>> 
>> Yes, it might come to that. However, I would like to exhaust other possibilities
>> first.
>> 
>> A few other ideas to try: obviously the lxc container is looking for the host
>> /sys/fs/cgroup/systemd which doesn't exist. Does creating it manually help?
>> Does installing cgmanager help (I am not sure if that will create and manage
>> /sys/fs/cgroup/systemd)?
>> 
>> Mark